RealServerGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.RealServerGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip
Interface RealServerGroup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  BigIPRealServerGroup

    public interface RealServerGroup

extends LogicalElement

Group of real servers AKA cluster

Author:
  johan
Naming Rules:
  0="parent,name"
Persistable:
  true
Table Name:
  RSRVRGRP
Display Name:
  name

Field Summary
`static int` | `DYNAMIC_RATIO`
`static int` | `FASTEST_APP_RESPONSE`
`static int` | `FASTEST_NODE_ADDR`
`static int` | `HASH`
`static int` | `LEAST_CONN_MEMBER`
`static int` | `LEAST_CONN_NODE_ADDR`
`static int` | `LEAST_CONNS`
`static int` | `MINMISSES`
`static int` | `NO_BALANCING`
`static int` | `OBSERVERD_MEMBER`
`static int` | `OBSERVERD_NODE_ADDR`
`static int` | `PREDICTIVE_MEMBER`
`static int` | `PREDICTIVE_NODE_ADDR`
`static int` | `RATIO_MEMBER`
`static int` | `RATIO_NODE_ADDR`
`static int` | `ROUND_ROBIN`
`static int` | `WEIGHTED_LEAST_CONNS`
`static int` | `WEIGTHED_ROUND_ROBIN`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getLoadBalancingAlgorithm()` The loadbalancing algorithm that's used by the VIP
`java.lang.String` | `getName()` Unique name identifying the group e.g.
`VipFunction` | `getParent()` Parent pointer to VipFunction
`RealServer[]` | `getRealServers()` Get real server group
`boolean` | `hasLoadBalancingAlgorithm()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasRealServers()`
`void` | `setLoadBalancingAlgorithm(int algorithm)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(VipFunction parent)`
`void` | `setRealServers(RealServer[] servers)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### NO_BALANCING

    static final int NO_BALANCING

See Also:
  Constant Field Values

### ROUND_ROBIN

    static final int ROUND_ROBIN

See Also:
  Constant Field Values

### WEIGTHED_ROUND_ROBIN

    static final int WEIGTHED_ROUND_ROBIN

See Also:
  Constant Field Values

### LEAST_CONNS

    static final int LEAST_CONNS

See Also:
  Constant Field Values

### WEIGHTED_LEAST_CONNS

    static final int WEIGHTED_LEAST_CONNS

See Also:
  Constant Field Values

### MINMISSES

    static final int MINMISSES

See Also:
  Constant Field Values

### HASH

    static final int HASH

See Also:
  Constant Field Values

### RATIO_MEMBER

    static final int RATIO_MEMBER

See Also:
  Constant Field Values

### LEAST_CONN_MEMBER

    static final int LEAST_CONN_MEMBER

See Also:
  Constant Field Values

### OBSERVERD_MEMBER

    static final int OBSERVERD_MEMBER

See Also:
  Constant Field Values

### PREDICTIVE_MEMBER

    static final int PREDICTIVE_MEMBER

See Also:
  Constant Field Values

### RATIO_NODE_ADDR

    static final int RATIO_NODE_ADDR

See Also:
  Constant Field Values

### LEAST_CONN_NODE_ADDR

    static final int LEAST_CONN_NODE_ADDR

See Also:
  Constant Field Values

### FASTEST_NODE_ADDR

    static final int FASTEST_NODE_ADDR

See Also:
  Constant Field Values

### OBSERVERD_NODE_ADDR

    static final int OBSERVERD_NODE_ADDR

See Also:
  Constant Field Values

### PREDICTIVE_NODE_ADDR

    static final int PREDICTIVE_NODE_ADDR

See Also:
  Constant Field Values

### DYNAMIC_RATIO

    static final int DYNAMIC_RATIO

See Also:
  Constant Field Values

### FASTEST_APP_RESPONSE

    static final int FASTEST_APP_RESPONSE

See Also:
  Constant Field Values

Method Detail

### getParent

    VipFunction getParent()
                          throws AttributeNotSetException

  Parent pointer to VipFunction

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(VipFunction parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Unique name identifying the group e.g. "group 1" for a SLB group or "192.168.1.3" for a single server

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getRealServers

    RealServer[] getRealServers()
                                throws AttributeNotSetException

  Get real server group

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setRealServers

    void setRealServers(RealServer[] servers)

### hasRealServers

    boolean hasRealServers()

### getLoadBalancingAlgorithm

    int getLoadBalancingAlgorithm()
                                  throws AttributeNotSetException

  The loadbalancing algorithm that's used by the VIP

  Throws:
    `AttributeNotSetException`

### setLoadBalancingAlgorithm

    void setLoadBalancingAlgorithm(int algorithm)

### hasLoadBalancingAlgorithm

    boolean hasLoadBalancingAlgorithm()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD